import 'package:json_annotation/json_annotation.dart';

import 'package:pshared/data/dto/payment/asset.dart';

part 'managed_wallet.g.dart';


@JsonSerializable()
class ManagedWalletEndpointDTO {
  @JsonKey(name: 'managed_wallet_ref')
  final String managedWalletRef;

  final AssetDTO? asset;

  const ManagedWalletEndpointDTO({
    required this.managedWalletRef,
    this.asset,
  });

  factory ManagedWalletEndpointDTO.fromJson(Map<String, dynamic> json) => _$ManagedWalletEndpointDTOFromJson(json);
  Map<String, dynamic> toJson() => _$ManagedWalletEndpointDTOToJson(this);
}
